> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agents

> Returns a list of your agents and their metadata.



## OpenAPI

````yaml https://api.threetone.in/openapi.json get /v1/convai/agents
openapi: 3.1.0
info:
  title: Threetone API Documentation
  version: 1.0.0
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/agents:
    get:
      tags:
        - Agents Platform
      summary: List Agents
      description: Returns a list of your agents and their metadata.
      operationId: get_agents_route
      parameters:
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: >-
              How many Agents to return at maximum. Can not exceed 100, defaults
              to 30.
            default: 30
            title: Page Size
          description: >-
            How many Agents to return at maximum. Can not exceed 100, defaults
            to 30.
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search by agents name.
            title: Search
          description: Search by agents name.
        - name: archived
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter agents by archived status
            default: false
            title: Archived
          description: Filter agents by archived status
        - name: sort_direction
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/SortDirection'
            description: The direction to sort the results
            default: desc
          description: The direction to sort the results
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/AgentSortBy'
              - type: 'null'
            description: The field to sort the results by
            title: Sort By
          description: The field to sort the results by
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Used for fetching next page. Cursor is returned in the response.
            title: Cursor
          description: Used for fetching next page. Cursor is returned in the response.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAgentsPageResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    SortDirection:
      type: string
      enum:
        - asc
        - desc
      title: SortDirection
      description: Sort direction for list endpoints
    AgentSortBy:
      type: string
      enum:
        - name
        - created_at
      title: AgentSortBy
    GetAgentsPageResponseModel:
      properties:
        agents:
          items:
            $ref: '#/components/schemas/AgentSummaryResponseModel'
          type: array
          title: Agents
          description: A list of agents and their metadata
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: The next cursor to paginate through the agents
        has_more:
          type: boolean
          title: Has More
          description: Whether there are more agents to paginate through
      type: object
      required:
        - agents
        - has_more
      title: GetAgentsPageResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentSummaryResponseModel:
      properties:
        agent_id:
          type: string
          title: Agent Id
          description: The ID of the agent
        name:
          type: string
          title: Name
          description: The name of the agent
        tags:
          items:
            type: string
          type: array
          title: Tags
          description: Agent tags used to categorize the agent
        created_at_unix_secs:
          type: integer
          title: Created At Unix Secs
          description: The creation time of the agent in unix seconds
        access_info:
          $ref: '#/components/schemas/ResourceAccessInfo'
          description: The access information of the agent
        last_call_time_unix_secs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Call Time Unix Secs
          description: >-
            The time of the most recent call in unix seconds, null if no calls
            have been made
        archived:
          type: boolean
          title: Archived
          description: Whether the agent is archived
          default: false
      type: object
      required:
        - agent_id
        - name
        - created_at_unix_secs
        - access_info
      title: AgentSummaryResponseModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ResourceAccessInfo:
      properties:
        is_creator:
          type: boolean
          title: Is Creator
          description: Whether the user making the request is the creator of the resource
        creator_name:
          type: string
          title: Creator Name
          description: Name of the resource's creator
        creator_email:
          type: string
          title: Creator Email
          description: Email of the resource's creator
        role:
          $ref: '#/components/schemas/ResourceRole'
          description: The role of the user making the request
      type: object
      required:
        - is_creator
        - creator_name
        - creator_email
        - role
      title: ResourceAccessInfo
      description: Access information for a resource
    ResourceRole:
      type: string
      enum:
        - admin
        - editor
        - commenter
        - viewer
      title: ResourceRole
      description: Role for resource access control
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: API key for programmatic access
      in: header
      name: x-api-key
    HTTPBearer:
      type: http
      description: JWT Bearer token for dashboard access
      scheme: bearer

````